# Rom Collection Browser - XBMC Game Frontend #

<a href='http://www.youtube.com/watch?feature=player_embedded&v=NRTg3HmIuqU' target='_blank'><img src='http://img.youtube.com/vi/NRTg3HmIuqU/0.jpg' width='425' height=344 /></a>

**Current stable version (Kodi Krypton & Leia):** [2.2.4](https://forum.kodi.tv/showthread.php?tid=70115&pid=2938738#pid2938738)

**Matrix compatible:** [Matrix branch](https://forum.kodi.tv/showthread.php?tid=70115&pid=2937200#pid2937200)

**Current development version (Matrix only):** [Current Git version](https://github.com/maloep/romcollectionbrowser/wiki/Installation#current-git-version)

**Documentation:** [https://github.com/maloep/romcollectionbrowser/wiki](https://github.com/maloep/romcollectionbrowser/wiki)

**Kodi Forum thread:** [http://forum.kodi.tv/showthread.php?tid=70115](http://forum.kodi.tv/showthread.php?tid=70115)

**XBMCNerds thread (german forum):** [http://www.kodinerds.net/index.php/Thread/11578-Rom-Collection-Browser-XBMC-Spiele-Frontend/](http://www.kodinerds.net/index.php/Thread/11578-Rom-Collection-Browser-XBMC-Spiele-Frontend/)


## Features

### Game Import / Scraping

* scan your rom folders and import games to local database<br>
* scrape artwork and game info from various online sources<br>
* import local available data (descriptions, artwork, videos)<br>
* results from all different scrape processes can be mixed together<br>
* two scraping modes: Automatic: Accurate, Interactive: Select Matches<br>
* create local nfo files while scraping (option to reimport local files without scraping)<br>
* create scrape result files (missing artwork, missing descriptions, possible mismatches)<br>
* import options dialog: asks for most important import options on every game import</ul>

### Game Browsing
* filter games by console, genre, year, publisher and first character<br>
* automatic video playback in video window<br>
* game details page<br>
* different views of the main window<br>
* configurable image placing (choose filetype for background, gamelist, etc.)<br>
* fully skinnable UI: already skinned for Estuary, Confluence, Night and Carmichael (other skins will use the Estuary look and feel)<br>
* dedicated MAME views to display cabinets and marquees</ul>

### Game Launching
* launch roms and standalone games in solo or non-solo mode (solo mode quits XBMC and relaunches it when you quit the emulator)<br>
* supports direct launching of savestate files<br>
* detect games in zip and 7z archives and ask user which game to load<br>
* store game launch count in db<br>
* restore viewstate when returning to RCB</ul>

RCB scrapes data from these sites (don't forget to visit, register and contribute!):<br>
* [http://thegamesdb.net](http://thegamesdb.net) - game data + artwork (boxfront, boxback, fanart)<br>
* [http://www.giantbomb.com](http://www.giantbomb.com) - game data + artwork (screenshot)<br>
* [http://www.mobygames.com](http://www.mobygames.com) - game data + artwork (screenshot, boxfront, boxback,     cartridge)<br>

RCB also imports game information from some file formats that you need to download first. See [the wiki](https://github.com/maloep/romcollectionbrowser/wiki/UseOfflineGameDescriptions) for more information.


## Screenshots

Check out the [Screenshot gallery](https://github.com/maloep/romcollectionbrowser/wiki/Gallery)

## Donate
<a href='https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=6WHY43UNQSHFJ'><img src='https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif' /></a>
